aspose file tools*
The moose likes Ant, Maven and Other Build Tools and the fly likes [m2e] Cannot change version of project facet EAR to 1.3 Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Engineering » Ant, Maven and Other Build Tools
Bookmark "[m2e] Cannot change version of project facet EAR to 1.3" Watch "[m2e] Cannot change version of project facet EAR to 1.3" New topic
Author

[m2e] Cannot change version of project facet EAR to 1.3

Francesco Bellini
Greenhorn

Joined: Nov 01, 2012
Posts: 26

Hi,

I have an EAR project which is also a maven project but I get the following error in the Eclipse Workspace:
Cannot change version of project facet EAR to 1.3.

It looks like the m2e-wtp maven plugin is trying to change the EAR facet version to 1.3 when it is set to 5.0.
I didn't insert any instruction within the pom.xml file as regard the facet version and the following file looks good (no 1.3 references there):
.settings/org.eclipse.wst.common.project.facet.core.xml:


Why the m2eclipse plugin is trying to convert my project facet to 1.3?
Peter Johnson
author
Bartender

Joined: May 14, 2008
Posts: 5830
    
    7

Double check the versions of the Java EE JARs you are including in your POM, perhaps one of them is for the older J2EE 1.3 version. Also check the versions mention in web.xml, application.xml and other files, those can also sometimes cause problems like this.


JBoss In Action
Francesco Bellini
Greenhorn

Joined: Nov 01, 2012
Posts: 26

Hi,

thank you for replying.
The EAR maven project doesn't include any J2EE 1.3 jar version.
As regard the versions mentioned in the EAR pom, I see this:


The application.xml file contains this:


web.xml:


I don't know what's wrong with it.
Akash Borkar
Greenhorn

Joined: May 22, 2012
Posts: 2
Hi,

I am also running with same problem. Finally did you find any solution for this? If yes, can you please share it with me?
Francesco Bellini
Greenhorn

Joined: Nov 01, 2012
Posts: 26

Hi,

yes, I changed the project facet manually, modifying the following file: org.eclipse.wst.common.project.facet.core.xml inside the .settings directory.
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: [m2e] Cannot change version of project facet EAR to 1.3